/*
 * NumericoLongitudoContieneCaracteresIncorrecta.java
 *
 * Created on 21 de marzo de 2007, 12:17 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * Clase encargada de realizar la validacion de uno de los campos del nombre del
 * archivo, este campo de acuerdo a la longitud del mismo, el cual es comparado
 * con uno de los campos del cuerpo del archivo, si son diferentes no cumple con
 * la validacion.
 * 
 * Definicion del orden de los parametros: Params[0] posicion inicial longitud
 * archivo Params[1] posicion final longitud archivo
 * 
 * 
 * @author fabio enrique 
 * @mail jalcorrea@indra.es
 * @version 1.0
 * 
 */
public class CampoNombreArchivoDiferenteCampoCuerpoArchivo extends AbstractRule {

	/** Constructor */
	public CampoNombreArchivoDiferenteCampoCuerpoArchivo() {
	}

	/**
	 * Metodo para realizar la validacion
	 */
	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		Integer pos1_, pos2_;

		pos1_ = new Integer((String) getParams()[0]).intValue();
		pos2_ = new Integer((String) getParams()[1]).intValue();

		if (!nombreArchivo.substring(pos1_, pos2_).equals(field)) {
			return true;
		}

		return false;

	}
}
